package cn.pluss.platform.deviceMerchantBuyDetail;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import cn.pluss.platform.entity.DeviceMerchantBuyDetail;
import cn.pluss.platform.vo.DeviceMerchantBuyDetailVO;

public interface DeviceMerchantBuyDetailService {

    public DeviceMerchantBuyDetail queryDeviceMerchantBuyDetail(DeviceMerchantBuyDetail deviceMerchantBuyDetail);

    public List<DeviceMerchantBuyDetail> queryDeviceMerchantBuyDetailList(DeviceMerchantBuyDetail deviceMerchantBuyDetail);

    public void saveDeviceMerchantBuyDetail(DeviceMerchantBuyDetail deviceMerchantBuyDetail);

    public void updateDeviceMerchantBuyDetail(DeviceMerchantBuyDetail deviceMerchantBuyDetail);

    public void deleteDeviceMerchantBuyDetail(DeviceMerchantBuyDetail deviceMerchantBuyDetail);

    public List<DeviceMerchantBuyDetail> queryDeviceMerchantBuyDetailPage(Map map);

    public Integer queryDeviceMerchantBuyDetailPageCount(Map map);

    public void saveDeviceMerchantBuyDetailBatch(List<DeviceMerchantBuyDetail> deviceMerchantBuyDetailList);
    
    /**
     * 
     * queryDeviceMerchantBuyDetailVO:(是否绑定激活). <br/> 
     * 
     * @author Administrator 
     * @param orderNo
     * @return 
     * @since JDK 1.8
     */
    public List<DeviceMerchantBuyDetailVO> queryDeviceMerchantBuyDetailVO(@Param(value="orderNo")String orderNo);
}

